Subject: RE: RCS executables? (need merge)
From: "Andre Oliveira da Costa" <[email-masked]>
To: "John Green" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 16 Aug 2000 08:21:31 -0300

Hi John,

it's strange it fails. I tried the whole thing one more time, just to make
sure I didn't miss anything. Here's what happened

~/software: tar -xvzf rcs-5.7.tar.Z
[snip]

~/software/rcs-5.7: patch -p 1 -i //i/Unix/src/rcs-5.7-cygwinb20.patchb
patching file `src/conf.sh'
patching file `src/rcsedit.c'
patching file `src/rcslex.c'

(note that the patch modifies conf.sh, which is the one giving you trouble.
Are you sure you applied the patches the right way?)

~/software/rcs-5.7: ./configure
creating cache ./config.cache
checking diff basename... diff
checking for diff... /usr/bin/diff
checking diff success status... 0
checking diff failure status... 1
checking diff trouble status... 2
checking diff options for RCS... -an
checking diff -L... yes
checking diff3 -m... yes
checking for diff3... /usr/bin/diff3
checking for ed... ed
checking for sendmail... no
checking for mail... no
checking for mailx... no
checking for pic... pic -n
checking for gcc... gcc
checking whether we are using GNU C... yes
checking for a BSD compatible install... /usr/bin/install -c
checking whether make sets ${MAKE}... yes
updating cache ./config.cache
creating ./config.status
creating Makefile
creating man/Makefile
creating src/Makefile

~/software/rcs-5.7: make
[snip]
gcc  -O2 -fno-strength-reduce merge.o merger.o rcsfnms.o rcslex.o rcsmap.o
rcsre
v.o rcssyn.o rcsutil.o rcskeep.o rcskeys.o maketime.o partime.o rcstime.o
versio
n.o  -o merge
gcc -c  -Dhas_conf_h  -I. -I. -O2 -fno-strength-reduce rcs.c
gcc  -O2 -fno-strength-reduce rcs.o rcslex.o rcssyn.o rcsrev.o rcsutil.o
rcsgen.
o rcsedit.o rcskeys.o rcsmap.o rcsfnms.o rcskeep.o maketime.o partime.o
rcstime.
o version.o  -o rcs
gcc -c  -Dhas_conf_h  -I. -I. -O2 -fno-strength-reduce rcsclean.c
gcc  -O2 -fno-strength-reduce rcsclean.o rcsedit.o rcsfcmp.o rcsfnms.o
rcsgen.o
rcskeys.o rcslex.o rcsmap.o rcsrev.o rcssyn.o rcsutil.o rcskeep.o maketime.o
par
time.o rcstime.o version.o  -o rcsclean
gcc -c  -Dhas_conf_h  -I. -I. -O2 -fno-strength-reduce rcsdiff.c
gcc  -O2 -fno-strength-reduce rcsdiff.o rcsutil.o rcsfnms.o rcsmap.o
rcsrev.o rc
ssyn.o rcslex.o maketime.o partime.o rcstime.o rcskeep.o rcskeys.o
ersion.o  -o
 rcsdiff
gcc -c  -Dhas_conf_h  -I. -I. -O2 -fno-strength-reduce rcsmerge.c
gcc  -O2 -fno-strength-reduce rcsmerge.o merger.o rcsutil.o rcsfnms.o
rcsmap.o r
csrev.o rcssyn.o rcslex.o rcskeep.o rcskeys.o maketime.o partime.o rcstime.o
ver
sion.o  -o rcsmerge
gcc -c  -Dhas_conf_h  -I. -I. -O2 -fno-strength-reduce rlog.c
gcc  -O2 -fno-strength-reduce rlog.o rcslex.o rcsmap.o rcssyn.o rcsrev.o
rcsutil
.o maketime.o partime.o rcstime.o rcsfnms.o rcskeep.o rcskeys.o
ersion.o  -o rl
og
make[1]: Leaving directory `/home/costa/software/rcs-5.7/src'

(not all the output is included above -- I skipped the part where make
starts 'conf.sh', which performs a lot of checks itself before actually
compiling RCS)

As you can see, it works for me. The Cygwin version I'm using is

~/software/rcs-5.7: uname -a
CYGWIN_NT-4.0 COSTA 1.1.2(0.21/3/2) 2000-06-06 22:20 i586 unknown

Which version do you have installed?

Best,

Andre
--
André Oliveira da Costa
([email-masked])

> -----Original Message-----
> From: John Green [mailto:[email-masked]]
> Sent: Tuesday, August 15, 2000 10:33 AM
> To: Andre Oliveira da Costa
> Cc: [email-masked]
> Subject: Re: RCS executables? (need merge)
>
>
> Andre,
>
> Thanks for the patch.  Unfortunately, it fails at the same place in
> conf.sh
>
> Any suggestions?  (I would prefer to be able to rebuild this when
> necessary)
>
> Thanks,
> John

--
Want to unsubscribe from this list?
Send a message to [email-masked]